Subject: Re: [PATCH 2/2] parse-options: use and require int pointer for OPT_CMDMODE

From: Junio C Hamano <[email-masked]>
Date: Sat, 16 Sep 2023 10:45:29 -0700

Jeff King <[email-masked]> writes:

>> True.  Though I don't fully understand these warnings (why not then
>> also warn about if without else?), but taking them away is a bit rude
>> to those who care.
>
> I think losing warnings is unfortunate, but it's just one example.
> We're losing the type information completely from the values.
> ...
>> Or to use an int to point to and then copy into a companion enum
>> variable to after parsing, which would be my choice.
>
> Yeah, I had the same thought. I'm just not sure how to do that in a way
> that isn't a pain for the callers.

The discussion seems to have petered out around this point.
What (if anything) do we want to do with this topic?